unicode path asserts are failing

Bug #845009 reported by Roberto Alsina on 2011-09-08
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
Critical
Facundo Batista
ubuntuone-client (Ubuntu)
Critical
dobey

Bug Description

Seems like some recent change has caused a regression and some paths are not being encoded/decoded at the right moment:

2011-09-08 14:02:14,565 - ubuntuone.SyncDaemon.ActionQueue - DEBUG - CreateUDF
     share:--- node:marker:C:\Users\ROBERTO\canonical\untuone-control-panel\ubuntuone CreateUDF(marker='marker:C:\\Users\\ROBERTO\\canonical\\ubuuone-control-panel\\ubuntuone', path="u'~/canonical/ubuntuone-control-panel'", running='Fal', name="u'ubuntuone'") queueing
2011-09-08 14:02:14,566 - ubuntuone.SyncDaemon.EQ - DEBUG - push_event: SYS_QUEUE_ADDED, kwgs: {'command': <ubuntuone.syncdaemon.action_queue.CreateUDF object at 0x048C0DB0>}
2011-09-08 14:02:14,568 - ubuntuone.SyncDaemon.Pb - DEBUG - emitting 'on_metaqueue_changed'o all connected clients.
2011-09-08 14:02:14,572 - ubuntuone.SyncDaemon.Pb - DEBUG - emitting 'on_request_queue_adde to all connected clients.
2011-09-08 14:02:14,573 - ubuntuone.SyncDaemon.ActionQueue - DEBUG - CreateUDF
     share:--- node:marker:C:\Users\ROBERTO\canonical\untuone-control-panel\ubuntuone CreateUDF(marker='marker:C:\\Users\\ROBERTO\\canonical\\ubuuone-control-panel\\ubuntuone', path="u'~/canonical/ubuntuone-control-panel'", running='Fal', name="u'ubuntuone'") pathlock acquiring on (u'~/canonical/ubuntuone-control-panel',) (onarent=False, on_children=False); wait for: 0
2011-09-08 14:02:14,575 - ubuntuone.SyncDaemon.ActionQueue - DEBUG - CreateUDF
     share:--- node:marker:C:\Users\ROBERTO\canonical\untuone-control-panel\ubuntuone CreateUDF(marker='marker:C:\\Users\\ROBERTO\\canonical\\ubuuone-control-panel\\ubuntuone', path="u'~/canonical/ubuntuone-control-panel'", running='Fal', name="u'ubuntuone'") starting
2011-09-08 14:02:14,575 - ubuntuone.SyncDaemon.ActionQueue - DEBUG - CreateUDF
     share:--- node:marker:C:\Users\ROBERTO\canonical\untuone-control-panel\ubuntuone CreateUDF(marker='marker:C:\\Users\\ROBERTO\\canonical\\ubuuone-control-panel\\ubuntuone', path="u'~/canonical/ubuntuone-control-panel'", running='Fal', name="u'ubuntuone'") started
2011-09-08 14:02:14,575 - ubuntuone.SyncDaemon.ActionQueue - DEBUG - CreateUDF
     share:--- node:marker:C:\Users\ROBERTO\canonical\untuone-control-panel\ubuntuone CreateUDF(marker='marker:C:\\Users\\ROBERTO\\canonical\\ubuuone-control-panel\\ubuntuone', path="u'~/canonical/ubuntuone-control-panel'", running='Fal', name="u'ubuntuone'") running
2011-09-08 14:02:14,614 - ubuntuone.SyncDaemon.Pb - DEBUG - called get_rootdir
2011-09-08 14:02:14,615 - ubuntuone.SyncDaemon.InteractionInterfaces - DEBUG - called get_rtdir
2011-09-08 14:02:14,619 - ubuntuone.SyncDaemon.Pb - DEBUG - called get_sharesdir
2011-09-08 14:02:14,621 - ubuntuone.SyncDaemon.InteractionInterfaces - DEBUG - called get_sresdir
2011-09-08 14:02:14,625 - ubuntuone.SyncDaemon.Pb - DEBUG - called get_sharesdir_link
2011-09-08 14:02:14,628 - ubuntuone.SyncDaemon.InteractionInterfaces - DEBUG - called get_sresdir_link
2011-09-08 14:02:14,634 - ubuntuone.SyncDaemon.Pb - DEBUG - Folders.get_folders
2011-09-08 14:02:14,635 - ubuntuone.SyncDaemon.InteractionInterfaces - DEBUG - Folders.get_lders
2011-09-08 14:02:14,644 - ubuntuone.SyncDaemon.Pb - DEBUG - called get_shares
2011-09-08 14:02:14,644 - ubuntuone.SyncDaemon.InteractionInterfaces - DEBUG - called get_sres
2011-09-08 14:02:22,430 - ubuntuone.SyncDaemon.ActionQueue - DEBUG - Upload
     share:'' node:'d7821bf1-d8c8-4e05-b0ea-9f2222ea29' Upload(share_id="''", hash="'sha1:ef6422d62216e1b1b16a1a5b8c4d3682d102c470'", running=alse', node_id="'d7821bf1-d8c8-4e05-b0ea-9f2222ea20f9'", upload_id='None', crc32='100979419', path="'C:\\\\Users\\\\ROBERTO\\\\Ubuntu One\\\\.gallery.html'", previous_hash="''", size4167') success
2011-09-08 14:02:22,433 - ubuntuone.SyncDaemon.ActionQueue - ERROR - Upload
     share:'' node:'d7821bf1-d8c8-4e05-b0ea-9f2222ea29' Upload(share_id="''", hash="'sha1:ef6422d62216e1b1b16a1a5b8c4d3682d102c470'", running=alse', node_id="'d7821bf1-d8c8-4e05-b0ea-9f2222ea20f9'", upload_id='None', crc32='100979419', path="'C:\\\\Users\\\\ROBERTO\\\\Ubuntu One\\\\.gallery.html'", previous_hash="''", size4167') Error running the command: Path u'\\\\?\\c:\\users\\roberto\\appdata\\local\\temp\\tyef5ni' should be a bytes sequence. (traceback follows)
Traceback (most recent call last):
  File "C:\Users\ROBERTO\canonical\ubuntuone-client\ubuntuone\syncdaemon\action_queue.py",
ne 1330, in go
    yield self.run()
  File "C:\Python27\lib\site-packages\twisted\internet\defer.py", line 1020, in _inlineCallcks
    result = g.send(result)
  File "C:\Users\ROBERTO\canonical\ubuntuone-client\ubuntuone\syncdaemon\action_queue.py",
ne 1397, in run
    self.handle_success(result)
  File "C:\Users\ROBERTO\canonical\ubuntuone-client\ubuntuone\syncdaemon\action_queue.py",
ne 2554, in handle_success
    remove_file(self.tempfile.name)
  File "C:\Users\ROBERTO\canonical\ubuntuone-client\ubuntuone\platform\windows\os_helper.py line 359, in inner
    args[i] = transformer(args[i])
  File "C:\Users\ROBERTO\canonical\ubuntuone-client\ubuntuone\platform\windows\os_helper.py line 209, in get_windows_valid_path
    assert_syncdaemon_path(path)
  File "C:\Users\ROBERTO\canonical\ubuntuone-client\ubuntuone\platform\windows\os_helper.py line 163, in assert_syncdaemon_path
    assert isinstance(path, str), messages['byte_path'] % path
AssertionError: Path u'\\\\?\\c:\\users\\roberto\\appdata\\local\\temp\\tmpyef5ni' should ba bytes sequence.
2011-09-08 14:02:22,440 - ubuntuone.SyncDaemon.ActionQueue - DEBUG - Upload
     share:'' node:'d7821bf1-d8c8-4e05-b0ea-9f2222ea29' Upload(share_id="''", hash="'sha1:ef6422d62216e1b1b16a1a5b8c4d3682d102c470'", running=alse', node_id="'d7821bf1-d8c8-4e05-b0ea-9f2222ea20f9'", upload_id='None', crc32='100979419', path="'C:\\\\Users\\\\ROBERTO\\\\Ubuntu One\\\\.gallery.html'", previous_hash="''", size4167') pathlock releasing ('C:', 'Users', 'ROBERTO', 'Ubuntu One', '.gallery.html'); remaing: 215
2011-09-08 14:02:33,786 - ubuntuone.SyncDaemon.ActionQueue - DEBUG - Upload
     share:'' node:'5d9fa39d-701a-4757-80bf-ed565bf93e' Upload(share_id="''", hash="'sha1:ab09653b80dbe7a88da82f839593b18bd67b2d5d'", running=alse', node_id="'5d9fa39d-701a-4757-80bf-ed565bf93a2e'", upload_id='None', crc32='197941250', path="'C:\\\\Users\\\\ROBERTO\\\\Ubuntu One\\\\cosa.txt'", previous_hash="''", size='4')uccess
2011-09-08 14:02:33,789 - ubuntuone.SyncDaemon.ActionQueue - ERROR - Upload
     share:'' node:'5d9fa39d-701a-4757-80bf-ed565bf93e' Upload(share_id="''", hash="'sha1:ab09653b80dbe7a88da82f839593b18bd67b2d5d'", running=alse', node_id="'5d9fa39d-701a-4757-80bf-ed565bf93a2e'", upload_id='None', crc32='197941250', path="'C:\\\\Users\\\\ROBERTO\\\\Ubuntu One\\\\cosa.txt'", previous_hash="''", size='4')rror running the command: Path u'\\\\?\\c:\\users\\roberto\\appdata\\local\\temp\\tmpmj9qhfshould be a bytes sequence. (traceback follows)
Traceback (most recent call last):
  File "C:\Users\ROBERTO\canonical\ubuntuone-client\ubuntuone\syncdaemon\action_queue.py",
ne 1330, in go
    yield self.run()
  File "C:\Python27\lib\site-packages\twisted\internet\defer.py", line 1020, in _inlineCallcks
    result = g.send(result)
  File "C:\Users\ROBERTO\canonical\ubuntuone-client\ubuntuone\syncdaemon\action_queue.py",
ne 1397, in run
    self.handle_success(result)
  File "C:\Users\ROBERTO\canonical\ubuntuone-client\ubuntuone\syncdaemon\action_queue.py",
ne 2554, in handle_success
    remove_file(self.tempfile.name)
  File "C:\Users\ROBERTO\canonical\ubuntuone-client\ubuntuone\platform\windows\os_helper.py line 359, in inner
    args[i] = transformer(args[i])
  File "C:\Users\ROBERTO\canonical\ubuntuone-client\ubuntuone\platform\windows\os_helper.py line 209, in get_windows_valid_path
    assert_syncdaemon_path(path)
  File "C:\Users\ROBERTO\canonical\ubuntuone-client\ubuntuone\platform\windows\os_helper.py line 163, in assert_syncdaemon_path
    assert isinstance(path, str), messages['byte_path'] % path
AssertionError: Path u'\\\\?\\c:\\users\\roberto\\appdata\\local\\temp\\tmpmj9qhf' should ba bytes sequence.

Related branches

Changed in ubuntuone-client:
status: Triaged → In Progress
Changed in ubuntuone-client:
assignee: Natalia Bidart (nataliabidart) → Facundo Batista (facundo)
tags: added: chicharra chicharra-oneiric
Changed in ubuntuone-client:
status: In Progress → Fix Committed
tags: added: u1-windows
dobey (dobey) on 2011-09-27
Changed in ubuntuone-client:
milestone: none → 2.0.0
dobey (dobey) on 2011-09-27
Changed in ubuntuone-client (Ubuntu):
assignee: nobody → Rodney Dawes (dobey)
importance: Undecided → Critical
status: New → In Progress
milestone: none → ubuntu-11.10
dobey (dobey) on 2011-09-27
Changed in ubuntuone-client:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-client - 2.0.0-0ubuntu1

---------------
ubuntuone-client (2.0.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - No watches needed on parent folders (LP: #838111)
    - Root is always subscribed (LP: #842839)
    - Unicode path asserts failing (LP: #845009)
    - Local Rescan is putting non-UTF8 paths into syncdaemon (LP: #696901)
    - IOError in tritcask metadata (LP: #776386)
    - Missinglogin_email_password on Linux (LP: #831043)
    - Unsubscribing share and deleting content triggers unlinks (LP: #820353)
    - Only make the link if it doesn't exist (LP: #833812)
    - Client restarts on SSL connection error (LP: #833388)
    - Stop logging sensitive data (LP: #837488)
    - Add delay to the hash queue (LP: #838104)
    - Crash if no keydir stats for inactive file (LP: #848224)
    - Use correct desktop file for launcher progress bar (LP: #851187)
    - Folder nesting check is incorrect (LP: #854776)
    - Should have a --version switch for u1sdtool (LP: #379841)
  * debian/control:
    - Update versions of some dependencies to be more correct
    - Recommend ubuntuone-installer needed for Unity launcher integration
 -- Rodney Dawes <email address hidden> Tue, 27 Sep 2011 11:18:41 -0400

Changed in ubuntuone-client (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers